// ***************************************************************
// <copyright file="HtmlNameData.cs" company="Microsoft">
//      Copyright (C) Microsoft Corporation.  All rights reserved.
// </copyright>
// <summary>
//      ...
// </summary>
// ***************************************************************

namespace Microsoft.Exchange.Data.TextConverters.Internal.Html
{
    internal enum HtmlNameIndex : byte
    {
        _NOTANAME = 0,
        _COMMENT = 1,
        _CONDITIONAL = 2,
        _BANG = 3,
        _ASP = 4,
        _DTD = 5,
        Unknown = 6,
        Nofill = 7,
        Comment = 8,
        LI = 9,
        Version = 10,
        CellSpacing = 11,
        Kbd = 12,
        Scheme = 13,
        Multiple = 14,
        Ruby = 15,
        Code = 16,
        NoResize = 17,
        Alt = 18,
        HrefLang = 19,
        FlushRight = 20,
        Accept = 21,
        FrameBorder = 22,
        Shape = 23,
        Param = 24,
        Acronym = 25,
        Bdo = 26,
        For = 27,
        Text = 28,
        Color = 29,
        A = 30,
        _Pxml = 31,
        Face = 32,
        RowSpan = 33,
        NoWrap = 34,
        Ins = 35,
        RP = 36,
        Script = 37,
        Char = 38,
        BGColor = 39,
        Style = 40,
        Width = 41,
        Headers = 42,
        Map = 43,
        Listing = 44,
        Data = 45,
        Sub = 46,
        H2 = 47,
        Image = 48,
        StandBy = 49,
        Select = 50,
        Profile = 51,
        NoHref = 52,
        Button = 53,
        Meta = 54,
        Rules = 55,
        Class = 56,
        Src = 57,
        Legend = 58,
        Scrolling = 59,
        Vlink = 60,
        Del = 61,
        Hspace = 62,
        Charset = 63,
        RT = 64,
        Italic = 65,
        Div = 66,
        Dir = 67,
        TT = 68,
        LowSrc = 69,
        H6 = 70,
        ValueType = 71,
        Declare = 72,
        Size = 73,
        FrameSet = 74,
        ReadOnly = 75,
        Language = 76,
        Area = 77,
        BlockQuote = 78,
        TopMargin = 79,
        NoEmbed = 80,
        BaseFont = 81,
        NoFrames = 82,
        Border = 83,
        Center = 84,
        Height = 85,
        Underline = 86,
        FlushBoth = 87,
        BGSound = 88,
        Var = 89,
        Start = 90,
        TD = 91,
        Id = 92,
        Rows = 93,
        H4 = 94,
        Abbr = 95,
        HttpEquiv = 96,
        Span = 97,
        DD = 98,
        Address = 99,
        Applet = 100,
        Rel = 101,
        TextArea = 102,
        Tbody = 103,
        ParaIndent = 104,
        DT = 105,
        Checked = 106,
        NextId = 107,
        Head = 108,
        Rev = 109,
        Small = 110,
        Cite = 111,
        Cols = 112,
        LongDesc = 113,
        Sup = 114,
        Fixed = 115,
        Prompt = 116,
        Disabled = 117,
        Name = 118,
        Coords = 119,
        Summary = 120,
        Object = 121,
        Label = 122,
        Content = 123,
        Target = 124,
        EM = 125,
        Clear = 126,
        Scope = 127,
        Compact = 128,
        Blink = 129,
        Selected = 130,
        MaxLength = 131,
        Frame = 132,
        Thead = 133,
        TabIndex = 134,
        _Import = 135,
        Marquee = 136,
        Embed = 137,
        TH = 138,
        Caption = 139,
        Value = 140,
        Smaller = 141,
        DateTime = 142,
        ClassId = 143,
        Bold = 144,
        Strike = 145,
        FlushLeft = 146,
        NoShade = 147,
        LeftMargin = 148,
        Title = 149,
        Excerpt = 150,
        CellPadding = 151,
        Doofn = 152,
        CharOff = 153,
        IsIndex = 154,
        Tfoot = 155,
        NoBR = 156,
        Lang = 157,
        OptGroup = 158,
        AcceptCharset = 159,
        Option = 160,
        Big = 161,
        Font = 162,
        Type = 163,
        Href = 164,
        Img = 165,
        Vspace = 166,
        H3 = 167,
        Align = 168,
        Wbr = 169,
        AccessKey = 170,
        Col = 171,
        Menu = 172,
        Bigger = 173,
        CodeBase = 174,
        Strong = 175,
        BR = 176,
        Archive = 177,
        UL = 178,
        NoScript = 179,
        PlainText = 180,
        Base = 181,
        IsMap = 182,
        Defer = 183,
        Body = 184,
        OL = 185,
        H1 = 186,
        Valign = 187,
        Media = 188,
        Iframe = 189,
        DL = 190,
        ColSpan = 191,
        Axis = 192,
        MarginHeight = 193,
        Alink = 194,
        _Xml_Namespace = 195,
        Method = 196,
        FontFamily = 197,
        FieldSet = 198,
        Pre = 199,
        Table = 200,
        TR = 201,
        Samp = 202,
        Link = 203,
        HR = 204,
        Form = 205,
        Input = 206,
        Xml = 207,
        UseMap = 208,
        Xmp = 209,
        Html = 210,
        CodeType = 211,
        MarginWidth = 212,
        Q = 213,
        ColGroup = 214,
        DynSrc = 215,
        S = 216,
        P = 217,
        U = 218,
        Action = 219,
        EncType = 220,
        I = 221,
        B = 222,
        H5 = 223,
        Background = 224,
    }

    

    internal enum HtmlEntityIndex : ushort
    {
        omega = 1,
        emsp = 2,
        rle = 3,
        Oacute = 4,
        fnof = 5,
        Oslash = 6,
        Ntilde = 7,
        larr = 8,
        psi = 9,
        QUOT = 10,
        Pi = 11,
        micro = 12,
        piv = 13,
        upsih = 14,
        Xi = 15,
        lceil = 16,
        aring = 17,
        ni = 18,
        macr = 19,
        cap = 20,
        iuml = 21,
        chi = 22,
        frac14 = 23,
        frac34 = 24,
        ordm = 25,
        nbsp = 26,
        and = 27,
        brvbar = 28,
        zwsp = 29,
        forall = 30,
        pi = 31,
        otimes = 32,
        uacute = 33,
        ang = 34,
        iexcl = 35,
        lrm = 36,
        upsilon = 37,
        xi = 38,
        lre = 39,
        zwj = 40,
        Nu = 41,
        Mu = 42,
        lro = 43,
        COPY = 44,
        nsub = 45,
        sub = 46,
        thorn = 47,
        sum = 48,
        rsquo = 49,
        middot = 50,
        Ecirc = 51,
        permil = 52,
        thinsp = 53,
        times = 54,
        nu = 55,
        mu = 56,
        yen = 57,
        prod = 58,
        dArr = 59,
        euml = 60,
        acirc = 61,
        Beta = 62,
        radic = 63,
        frac12 = 64,
        hearts = 65,
        TRADE = 66,
        rsaquo = 67,
        Auml = 68,
        ugrave = 69,
        ccedil = 70,
        OElig = 71,
        sect = 72,
        Eacute = 73,
        there4 = 74,
        REG = 75,
        plusmn = 76,
        lang = 77,
        thetasym = 78,
        rArr = 79,
        iota = 80,
        rceil = 81,
        empty = 82,
        AMP = 83,
        gt = 84,
        Phi = 85,
        Gamma = 86,
        bass = 87,
        lt = 88,
        Zeta = 89,
        Ograve = 90,
        deg = 91,
        spades = 92,
        zwnj = 93,
        exist = 94,
        delta = 95,
        reg = 96,
        isin = 97,
        Alpha = 98,
        Yuml = 99,
        cedil = 100,
        sup2 = 101,
        rfloor = 102,
        divide = 103,
        Omicron = 104,
        ordf = 105,
        clubs = 106,
        Uuml = 107,
        Eta = 108,
        Acirc = 109,
        Atilde = 110,
        Rho = 111,
        alefsym = 112,
        AElig = 113,
        lfloor = 114,
        hArr = 115,
        oline = 116,
        Aacute = 117,
        Ccedil = 118,
        theta = 119,
        or = 120,
        Egrave = 121,
        trade = 122,
        Int = 123,
        sup1 = 124,
        phi = 125,
        cup = 126,
        equiv = 127,
        sim = 128,
        Yacute = 129,
        Prime = 130,
        uarr = 131,
        mdash = 132,
        amp = 133,
        acute = 134,
        ETH = 135,
        eacute = 136,
        weierp = 137,
        Kappa = 138,
        Theta = 139,
        pound = 140,
        rarr = 141,
        Omega = 142,
        oelig = 143,
        sup = 144,
        igrave = 145,
        cent = 146,
        agrave = 147,
        dagger = 148,
        bull = 149,
        Ouml = 150,
        Aring = 151,
        loz = 152,
        lowast = 153,
        otilde = 154,
        euro = 155,
        uml = 156,
        sigma = 157,
        Epsilon = 158,
        lsaquo = 159,
        image = 160,
        lArr = 161,
        Iuml = 162,
        Chi = 163,
        eta = 164,
        harr = 165,
        aacute = 166,
        nads = 167,
        eth = 168,
        GT = 169,
        Sigma = 170,
        THORN = 171,
        oslash = 172,
        aelig = 173,
        LT = 174,
        notin = 175,
        aafs = 176,
        yacute = 177,
        laquo = 178,
        prime = 179,
        iss = 180,
        Agrave = 181,
        lambda = 182,
        oplus = 183,
        real = 184,
        Ugrave = 185,
        supe = 186,
        para = 187,
        darr = 188,
        sube = 189,
        asymp = 190,
        Euml = 191,
        ocirc = 192,
        Lambda = 193,
        beta = 194,
        sup3 = 195,
        infin = 196,
        Upsilon = 197,
        ucirc = 198,
        Delta = 199,
        auml = 200,
        Iacute = 201,
        circ = 202,
        Iota = 203,
        tilde = 204,
        bdquo = 205,
        scaron = 206,
        Tau = 207,
        zeta = 208,
        pdf = 209,
        perp = 210,
        shy = 211,
        icirc = 212,
        yuml = 213,
        gamma = 214,
        sigmaf = 215,
        rang = 216,
        crarr = 217,
        raquo = 218,
        minus = 219,
        ograve = 220,
        uuml = 221,
        Ocirc = 222,
        nods = 223,
        ldquo = 224,
        rho = 225,
        szlig = 226,
        Ucirc = 227,
        alpha = 228,
        quot = 229,
        Dagger = 230,
        Uacute = 231,
        Igrave = 232,
        Psi = 233,
        tau = 234,
        lsquo = 235,
        ge = 236,
        atilde = 237,
        nabla = 238,
        Scaron = 239,
        cong = 240,
        frasl = 241,
        ne = 242,
        curren = 243,
        le = 244,
        uArr = 245,
        epsilon = 246,
        iacute = 247,
        rlm = 248,
        Otilde = 249,
        sdot = 250,
        rlo = 251,
        ndash = 252,
        egrave = 253,
        Icirc = 254,
        oacute = 255,
        part = 256,
        diams = 257,
        copy = 258,
        ntilde = 259,
        rdquo = 260,
        iquest = 261,
        sbquo = 262,
        not = 263,
        iafs = 264,
        ouml = 265,
        ecirc = 266,
        kappa = 267,
        ensp = 268,
        prop = 269,
        omicron = 270,
        hellip = 271,
    }

    internal static class HtmlNameData
    {
        
        public const short MAX_NAME = 14;
        public const short MAX_TAG_NAME = 14;

        
        public const short MAX_ENTITY_NAME = 8;


        public struct NameDef
        {
            public short hash;
            public bool literalTag;
            public bool literalEnt;
            public string name;
            public HtmlTagIndex tagIndex;
            public HtmlTagId publicTagId;
            public HtmlAttributeId publicAttributeId;

            public NameDef(short hash, string name, HtmlTagId publicTagId, HtmlAttributeId publicAttributeId) :
                this(hash, name, HtmlTagIndex.Unknown, false, false, publicTagId, publicAttributeId)
            {
            }

            public NameDef(short hash, string name, HtmlTagIndex tagIndex, bool literalTag, bool literalEnt, HtmlTagId publicTagId, HtmlAttributeId publicAttributeId)
            {
                this.hash = hash;
                this.literalTag = literalTag;
                this.literalEnt = literalEnt;
                this.name = name;
                this.tagIndex = tagIndex;
                this.publicTagId = publicTagId;
                this.publicAttributeId = publicAttributeId;
            }
        }

        public struct EntityDef
        {
            public short hash;
            public short value;
            public string name;

            public EntityDef(short hash, short value, string name)
            {
                this.hash = hash;
                this.name = name;
                this.value = value;
            }
        }

        

        public const short NAME_HASH_SIZE = 601;
        public const int NAME_HASH_MODIFIER = 0xDD;

        public static HtmlNameIndex[] nameHashTable =
        {
            0,
            HtmlNameIndex.Nofill,    
            HtmlNameIndex.Comment,    
            HtmlNameIndex.LI,    
            HtmlNameIndex.Version,    
            0,
            0,
            0,
            HtmlNameIndex.CellSpacing,    
            0,
            HtmlNameIndex.Kbd,    
            0,
            0,
            0,
            HtmlNameIndex.Scheme,    
            HtmlNameIndex.Multiple,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Ruby,    
            0,
            HtmlNameIndex.Code,    
            HtmlNameIndex.NoResize,    
            HtmlNameIndex.Alt,    
            0,
            HtmlNameIndex.HrefLang,    
            0,
            0,
            HtmlNameIndex.FlushRight,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Accept,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.FrameBorder,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Shape,    
            0,
            0,
            HtmlNameIndex.Param,    
            HtmlNameIndex.Acronym,    
            0,
            HtmlNameIndex.For,    
            HtmlNameIndex.Color,    
            0,
            0,
            0,
            HtmlNameIndex.A,    
            0,
            0,
            HtmlNameIndex._Pxml,    
            0,
            HtmlNameIndex.Face,    
            0,
            0,
            0,
            HtmlNameIndex.RowSpan,    
            HtmlNameIndex.NoWrap,    
            HtmlNameIndex.Ins,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.RP,    
            HtmlNameIndex.Script,    
            0,
            HtmlNameIndex.Char,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.BGColor,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Style,    
            0,
            0,
            HtmlNameIndex.Width,    
            0,
            HtmlNameIndex.Headers,    
            0,
            HtmlNameIndex.Map,    
            0,
            HtmlNameIndex.Data,    
            0,
            0,
            HtmlNameIndex.Sub,    
            HtmlNameIndex.H2,    
            HtmlNameIndex.Image,    
            0,
            0,
            0,
            HtmlNameIndex.StandBy,    
            0,
            HtmlNameIndex.Select,    
            0,
            HtmlNameIndex.Profile,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Button,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Meta,    
            0,
            0,
            0,
            HtmlNameIndex.Rules,    
            HtmlNameIndex.Class,    
            0,
            0,
            HtmlNameIndex.Src,    
            HtmlNameIndex.Legend,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Scrolling,    
            0,
            0,
            HtmlNameIndex.Vlink,    
            HtmlNameIndex.Del,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Hspace,    
            0,
            0,
            HtmlNameIndex.Charset,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.RT,    
            0,
            HtmlNameIndex.Italic,    
            0,
            0,
            HtmlNameIndex.Div,    
            0,
            0,
            0,
            HtmlNameIndex.Dir,    
            HtmlNameIndex.TT,    
            0,
            HtmlNameIndex.H6,    
            HtmlNameIndex.ValueType,    
            HtmlNameIndex.Declare,    
            0,
            HtmlNameIndex.Size,    
            0,
            HtmlNameIndex.FrameSet,    
            0,
            HtmlNameIndex.ReadOnly,    
            0,
            HtmlNameIndex.Language,    
            0,
            HtmlNameIndex.Area,    
            0,
            HtmlNameIndex.TopMargin,    
            HtmlNameIndex.NoEmbed,    
            HtmlNameIndex.BaseFont,    
            0,
            0,
            0,
            0,
            HtmlNameIndex.NoFrames,    
            0,
            0,
            HtmlNameIndex.Border,    
            HtmlNameIndex.Center,    
            0,
            0,
            0,
            HtmlNameIndex.Height,    
            0,
            0,
            HtmlNameIndex.Underline,    
            0,
            HtmlNameIndex.FlushBoth,    
            0,
            HtmlNameIndex.BGSound,    
            0,
            0,
            0,
            0,
            HtmlNameIndex.Var,    
            0,
            0,
            HtmlNameIndex.TD,    
            HtmlNameIndex.Id,    
            HtmlNameIndex.Rows,    
            HtmlNameIndex.H4,    
            0,
            HtmlNameIndex.Abbr,    
            HtmlNameIndex.HttpEquiv,    
            HtmlNameIndex.Span,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.DD,    
            0,
            0,
            HtmlNameIndex.Address,    
            0,
            HtmlNameIndex.Applet,    
            HtmlNameIndex.Rel,    
            0,
            0,
            0,
            HtmlNameIndex.TextArea,    
            HtmlNameIndex.Tbody,    
            0,
            0,
            0,
            HtmlNameIndex.ParaIndent,    
            0,
            0,
            HtmlNameIndex.DT,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Checked,    
            HtmlNameIndex.Head,    
            0,
            0,
            HtmlNameIndex.Rev,    
            HtmlNameIndex.Small,    
            0,
            HtmlNameIndex.Cite,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Cols,    
            HtmlNameIndex.Sup,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Fixed,    
            HtmlNameIndex.Prompt,    
            0,
            0,
            0,
            0,
            HtmlNameIndex.Disabled,    
            0,
            HtmlNameIndex.Name,    
            HtmlNameIndex.Summary,    
            HtmlNameIndex.Object,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Label,    
            HtmlNameIndex.Content,    
            HtmlNameIndex.Target,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.EM,    
            0,
            0,
            0,
            HtmlNameIndex.Clear,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Scope,    
            0,
            HtmlNameIndex.Compact,    
            0,
            HtmlNameIndex.Blink,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Selected,    
            0,
            HtmlNameIndex.MaxLength,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Frame,    
            HtmlNameIndex.Thead,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.TabIndex,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex._Import,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Embed,    
            HtmlNameIndex.TH,    
            HtmlNameIndex.Caption,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Value,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Smaller,    
            0,
            0,
            0,
            HtmlNameIndex.DateTime,    
            0,
            HtmlNameIndex.ClassId,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Bold,    
            HtmlNameIndex.Strike,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.FlushLeft,    
            HtmlNameIndex.NoShade,    
            HtmlNameIndex.LeftMargin,    
            HtmlNameIndex.Title,    
            0,
            HtmlNameIndex.Excerpt,    
            0,
            HtmlNameIndex.CellPadding,    
            0,
            0,
            0,
            HtmlNameIndex.Doofn,    
            HtmlNameIndex.CharOff,    
            0,
            HtmlNameIndex.IsIndex,    
            HtmlNameIndex.Tfoot,    
            0,
            HtmlNameIndex.NoBR,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Lang,    
            0,
            HtmlNameIndex.OptGroup,    
            0,
            HtmlNameIndex.AcceptCharset,    
            0,
            HtmlNameIndex.Big,    
            HtmlNameIndex.Font,    
            0,
            HtmlNameIndex.Type,    
            0,
            0,
            HtmlNameIndex.Href,    
            0,
            HtmlNameIndex.Img,    
            0,
            HtmlNameIndex.Vspace,    
            HtmlNameIndex.H3,    
            0,
            0,
            0,
            0,
            0,
            HtmlNameIndex.Align,    
            0,
            0,
            0,
            HtmlNameIndex.Wbr,    
            0,
            HtmlNameIndex.AccessKey,    
            0,
            0,
            HtmlNameIndex.Col,    
            0,
            HtmlNameIndex.Menu,    
            0,
            HtmlNameIndex.CodeBase,    
            0,
            HtmlNameIndex.Strong,    
            0,
            HtmlNameIndex.BR,    
            0,
            HtmlNameIndex.Archive,    
            0,
            HtmlNameIndex.UL,    
            0,
            HtmlNameIndex.NoScript,    
            HtmlNameIndex.PlainText,    
            0,
            0,
            0,
            HtmlNameIndex.Base,    
            HtmlNameIndex.Defer,    
            HtmlNameIndex.Body,    
            HtmlNameIndex.OL,    
            0,
            HtmlNameIndex.H1,    
            0,
            HtmlNameIndex.Valign,    
            0,
            0,
            HtmlNameIndex.Media,    
            HtmlNameIndex.Iframe,    
            HtmlNameIndex.DL,    
            0,
            HtmlNameIndex.ColSpan,    
            0,
            0,
            HtmlNameIndex.Axis,    
            0,
            0,
            0,
            HtmlNameIndex.MarginHeight,    
            HtmlNameIndex.Alink,    
            0,
            HtmlNameIndex._Xml_Namespace,    
            HtmlNameIndex.Method,    
            0,
            0,
            HtmlNameIndex.FontFamily,    
            0,
            0,
            0,
            0,
            HtmlNameIndex.FieldSet,    
            0,
            HtmlNameIndex.Pre,    
            HtmlNameIndex.Table,    
            0,
            0,
            HtmlNameIndex.TR,    
            0,
            HtmlNameIndex.Samp,    
            HtmlNameIndex.Link,    
            HtmlNameIndex.HR,    
            0,
            0,
            0,
            HtmlNameIndex.Form,    
            HtmlNameIndex.Input,    
            HtmlNameIndex.Xml,    
            0,
            HtmlNameIndex.UseMap,    
            0,
            HtmlNameIndex.Xmp,    
            HtmlNameIndex.CodeType,    
            0,
            0,
            0,
            0,
            HtmlNameIndex.MarginWidth,    
            0,
            0,
            0,
            HtmlNameIndex.Q,    
            HtmlNameIndex.ColGroup,    
            HtmlNameIndex.S,    
            HtmlNameIndex.P,    
            HtmlNameIndex.U,    
            HtmlNameIndex.Action,    
            HtmlNameIndex.EncType,    
            0,
            HtmlNameIndex.I,    
            0,
            0,
            0,
            0,
            HtmlNameIndex.B,    
            HtmlNameIndex.H5,    
            HtmlNameIndex.Background,    
            0,
        };

        

        public const short ENTITY_HASH_SIZE = 705;
        public const int ENTITY_HASH_MODIFIER = 0xE6;

        public static HtmlEntityIndex[] entityHashTable =
        {
            0,
            HtmlEntityIndex.omega,    
            HtmlEntityIndex.rle,    
            0,
            0,
            HtmlEntityIndex.Oacute,    
            0,
            0,
            HtmlEntityIndex.fnof,    
            HtmlEntityIndex.Oslash,    
            0,
            0,
            HtmlEntityIndex.Ntilde,    
            0,
            HtmlEntityIndex.larr,    
            HtmlEntityIndex.psi,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Pi,    
            0,
            HtmlEntityIndex.micro,    
            0,
            HtmlEntityIndex.piv,    
            0,
            HtmlEntityIndex.upsih,    
            0,
            HtmlEntityIndex.Xi,    
            HtmlEntityIndex.aring,    
            HtmlEntityIndex.ni,    
            0,
            HtmlEntityIndex.cap,    
            HtmlEntityIndex.iuml,    
            HtmlEntityIndex.chi,    
            0,
            0,
            0,
            HtmlEntityIndex.frac14,    
            0,
            HtmlEntityIndex.frac34,    
            HtmlEntityIndex.ordm,    
            0,
            0,
            HtmlEntityIndex.and,    
            0,
            0,
            HtmlEntityIndex.brvbar,    
            0,
            HtmlEntityIndex.zwsp,    
            HtmlEntityIndex.forall,    
            0,
            HtmlEntityIndex.pi,    
            HtmlEntityIndex.otimes,    
            HtmlEntityIndex.uacute,    
            HtmlEntityIndex.ang,    
            HtmlEntityIndex.iexcl,    
            HtmlEntityIndex.lrm,    
            0,
            0,
            HtmlEntityIndex.xi,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.lre,    
            HtmlEntityIndex.zwj,    
            0,
            HtmlEntityIndex.Nu,    
            HtmlEntityIndex.Mu,    
            0,
            HtmlEntityIndex.lro,    
            0,
            HtmlEntityIndex.COPY,    
            HtmlEntityIndex.nsub,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.thorn,    
            0,
            HtmlEntityIndex.sum,    
            0,
            HtmlEntityIndex.rsquo,    
            HtmlEntityIndex.middot,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Ecirc,    
            HtmlEntityIndex.thinsp,    
            0,
            HtmlEntityIndex.times,    
            HtmlEntityIndex.mu,    
            HtmlEntityIndex.yen,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.prod,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.dArr,    
            0,
            HtmlEntityIndex.euml,    
            0,
            0,
            0,
            HtmlEntityIndex.Beta,    
            HtmlEntityIndex.radic,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.hearts,    
            HtmlEntityIndex.TRADE,    
            0,
            0,
            HtmlEntityIndex.rsaquo,    
            0,
            HtmlEntityIndex.Auml,    
            HtmlEntityIndex.ugrave,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.ccedil,    
            HtmlEntityIndex.OElig,    
            HtmlEntityIndex.sect,    
            0,
            HtmlEntityIndex.there4,    
            0,
            HtmlEntityIndex.REG,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.plusmn,    
            0,
            0,
            HtmlEntityIndex.thetasym,    
            0,
            0,
            HtmlEntityIndex.rArr,    
            HtmlEntityIndex.iota,    
            HtmlEntityIndex.rceil,    
            HtmlEntityIndex.empty,    
            HtmlEntityIndex.Phi,    
            HtmlEntityIndex.Gamma,    
            HtmlEntityIndex.bass,    
            0,
            0,
            0,
            HtmlEntityIndex.lt,    
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Zeta,    
            0,
            HtmlEntityIndex.Ograve,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.spades,    
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.zwnj,    
            0,
            0,
            HtmlEntityIndex.delta,    
            0,
            0,
            0,
            HtmlEntityIndex.reg,    
            0,
            0,
            HtmlEntityIndex.isin,    
            HtmlEntityIndex.Alpha,    
            0,
            0,
            HtmlEntityIndex.Yuml,    
            0,
            0,
            0,
            HtmlEntityIndex.cedil,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.rfloor,    
            0,
            HtmlEntityIndex.divide,    
            0,
            HtmlEntityIndex.Omicron,    
            0,
            0,
            HtmlEntityIndex.ordf,    
            0,
            HtmlEntityIndex.clubs,    
            HtmlEntityIndex.Uuml,    
            HtmlEntityIndex.Eta,    
            0,
            HtmlEntityIndex.Acirc,    
            HtmlEntityIndex.Atilde,    
            HtmlEntityIndex.Rho,    
            HtmlEntityIndex.alefsym,    
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.AElig,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.hArr,    
            0,
            HtmlEntityIndex.oline,    
            0,
            0,
            0,
            HtmlEntityIndex.Aacute,    
            HtmlEntityIndex.Ccedil,    
            HtmlEntityIndex.theta,    
            HtmlEntityIndex.or,    
            HtmlEntityIndex.Egrave,    
            HtmlEntityIndex.trade,    
            HtmlEntityIndex.Int,    
            0,
            HtmlEntityIndex.sup1,    
            HtmlEntityIndex.phi,    
            0,
            HtmlEntityIndex.cup,    
            0,
            0,
            HtmlEntityIndex.equiv,    
            0,
            0,
            0,
            HtmlEntityIndex.sim,    
            HtmlEntityIndex.Yacute,    
            0,
            0,
            HtmlEntityIndex.Prime,    
            HtmlEntityIndex.uarr,    
            0,
            0,
            HtmlEntityIndex.mdash,    
            HtmlEntityIndex.acute,    
            0,
            0,
            0,
            HtmlEntityIndex.ETH,    
            0,
            HtmlEntityIndex.eacute,    
            0,
            0,
            HtmlEntityIndex.weierp,    
            0,
            HtmlEntityIndex.Kappa,    
            0,
            HtmlEntityIndex.Theta,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.pound,    
            0,
            0,
            HtmlEntityIndex.rarr,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.oelig,    
            HtmlEntityIndex.sup,    
            HtmlEntityIndex.igrave,    
            0,
            HtmlEntityIndex.cent,    
            0,
            0,
            HtmlEntityIndex.agrave,    
            0,
            HtmlEntityIndex.dagger,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.bull,    
            0,
            HtmlEntityIndex.Ouml,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Aring,    
            0,
            0,
            HtmlEntityIndex.loz,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.lowast,    
            HtmlEntityIndex.otilde,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.euro,    
            HtmlEntityIndex.uml,    
            0,
            HtmlEntityIndex.sigma,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Epsilon,    
            0,
            0,
            HtmlEntityIndex.lsaquo,    
            0,
            0,
            HtmlEntityIndex.image,    
            HtmlEntityIndex.lArr,    
            0,
            0,
            0,
            HtmlEntityIndex.Iuml,    
            HtmlEntityIndex.Chi,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.eta,    
            0,
            0,
            0,
            HtmlEntityIndex.harr,    
            0,
            0,
            HtmlEntityIndex.aacute,    
            0,
            HtmlEntityIndex.nads,    
            0,
            HtmlEntityIndex.eth,    
            HtmlEntityIndex.GT,    
            0,
            HtmlEntityIndex.Sigma,    
            0,
            0,
            0,
            HtmlEntityIndex.oslash,    
            HtmlEntityIndex.aelig,    
            0,
            HtmlEntityIndex.notin,    
            0,
            0,
            0,
            HtmlEntityIndex.aafs,    
            HtmlEntityIndex.yacute,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.laquo,    
            0,
            0,
            0,
            HtmlEntityIndex.prime,    
            HtmlEntityIndex.Agrave,    
            HtmlEntityIndex.lambda,    
            0,
            0,
            HtmlEntityIndex.oplus,    
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.real,    
            HtmlEntityIndex.Ugrave,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.supe,    
            0,
            HtmlEntityIndex.para,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.darr,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.sube,    
            0,
            HtmlEntityIndex.asymp,    
            HtmlEntityIndex.Euml,    
            HtmlEntityIndex.ocirc,    
            HtmlEntityIndex.Lambda,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.beta,    
            HtmlEntityIndex.sup3,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.infin,    
            HtmlEntityIndex.Upsilon,    
            HtmlEntityIndex.ucirc,    
            0,
            HtmlEntityIndex.Delta,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Iacute,    
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Iota,    
            0,
            0,
            HtmlEntityIndex.tilde,    
            HtmlEntityIndex.bdquo,    
            0,
            0,
            HtmlEntityIndex.scaron,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Tau,    
            0,
            HtmlEntityIndex.zeta,    
            0,
            HtmlEntityIndex.pdf,    
            0,
            0,
            0,
            HtmlEntityIndex.perp,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.shy,    
            HtmlEntityIndex.icirc,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.yuml,    
            0,
            0,
            0,
            HtmlEntityIndex.gamma,    
            0,
            HtmlEntityIndex.sigmaf,    
            0,
            HtmlEntityIndex.rang,    
            0,
            0,
            HtmlEntityIndex.crarr,    
            0,
            0,
            HtmlEntityIndex.raquo,    
            0,
            HtmlEntityIndex.minus,    
            HtmlEntityIndex.ograve,    
            0,
            0,
            0,
            HtmlEntityIndex.uuml,    
            HtmlEntityIndex.Ocirc,    
            0,
            HtmlEntityIndex.nods,    
            HtmlEntityIndex.ldquo,    
            HtmlEntityIndex.rho,    
            HtmlEntityIndex.szlig,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Ucirc,    
            0,
            HtmlEntityIndex.alpha,    
            0,
            0,
            HtmlEntityIndex.quot,    
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.Dagger,    
            HtmlEntityIndex.Uacute,    
            0,
            0,
            0,
            HtmlEntityIndex.Igrave,    
            0,
            HtmlEntityIndex.Psi,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.tau,    
            HtmlEntityIndex.lsquo,    
            HtmlEntityIndex.ge,    
            0,
            HtmlEntityIndex.atilde,    
            HtmlEntityIndex.nabla,    
            HtmlEntityIndex.Scaron,    
            HtmlEntityIndex.cong,    
            HtmlEntityIndex.frasl,    
            0,
            0,
            HtmlEntityIndex.ne,    
            HtmlEntityIndex.curren,    
            HtmlEntityIndex.le,    
            0,
            0,
            HtmlEntityIndex.uArr,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.epsilon,    
            HtmlEntityIndex.iacute,    
            0,
            HtmlEntityIndex.rlm,    
            HtmlEntityIndex.Otilde,    
            HtmlEntityIndex.sdot,    
            HtmlEntityIndex.ndash,    
            0,
            0,
            HtmlEntityIndex.egrave,    
            0,
            0,
            HtmlEntityIndex.Icirc,    
            0,
            HtmlEntityIndex.part,    
            HtmlEntityIndex.diams,    
            HtmlEntityIndex.copy,    
            0,
            0,
            HtmlEntityIndex.ntilde,    
            0,
            0,
            HtmlEntityIndex.rdquo,    
            HtmlEntityIndex.iquest,    
            HtmlEntityIndex.sbquo,    
            0,
            0,
            0,
            0,
            0,
            HtmlEntityIndex.not,    
            HtmlEntityIndex.iafs,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.ouml,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.ecirc,    
            0,
            HtmlEntityIndex.kappa,    
            0,
            0,
            0,
            0,
            HtmlEntityIndex.ensp,    
            0,
            0,
            HtmlEntityIndex.prop,    
            0,
            0,
            HtmlEntityIndex.omicron,    
            HtmlEntityIndex.hellip,    
            0,
        };

        public static NameDef[] names =
        {
            new NameDef(0, null, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(0, null, HtmlTagIndex._COMMENT, false, false, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(0, null, HtmlTagIndex._CONDITIONAL, false, false, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(0, null, HtmlTagIndex._BANG, false, false, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(0, null, HtmlTagIndex._ASP, false, false, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(0, null, HtmlTagIndex._DTD, false, false, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(0, null, HtmlTagIndex.Unknown, false, false, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(1, "nofill", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(2, "comment", HtmlTagIndex.Comment, true, true, HtmlTagId.Comment, HtmlAttributeId.Unknown),    
            new NameDef(3, "li", HtmlTagIndex.LI, false, false, HtmlTagId.LI, HtmlAttributeId.Unknown),    
            new NameDef(4, "version", HtmlTagId.Unknown, HtmlAttributeId.Version),    
            new NameDef(8, "cellspacing", HtmlTagId.Unknown, HtmlAttributeId.CellSpacing),    
            new NameDef(10, "kbd", HtmlTagIndex.Kbd, false, false, HtmlTagId.Kbd, HtmlAttributeId.Unknown),    
            new NameDef(14, "scheme", HtmlTagId.Unknown, HtmlAttributeId.Scheme),    
            new NameDef(15, "multiple", HtmlTagId.Unknown, HtmlAttributeId.Multiple),    
            new NameDef(21, "ruby", HtmlTagIndex.Ruby, false, false, HtmlTagId.Ruby, HtmlAttributeId.Unknown),    
            new NameDef(23, "code", HtmlTagIndex.Code, false, false, HtmlTagId.Code, HtmlAttributeId.Code),    
            new NameDef(24, "noresize", HtmlTagId.Unknown, HtmlAttributeId.NoResize),    
            new NameDef(25, "alt", HtmlTagId.Unknown, HtmlAttributeId.Alt),    
            new NameDef(27, "hreflang", HtmlTagId.Unknown, HtmlAttributeId.HrefLang),    
            new NameDef(30, "flushright", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(38, "accept", HtmlTagId.Unknown, HtmlAttributeId.Accept),    
            new NameDef(45, "frameborder", HtmlTagId.Unknown, HtmlAttributeId.FrameBorder),    
            new NameDef(52, "shape", HtmlTagId.Unknown, HtmlAttributeId.Shape),    
            new NameDef(55, "param", HtmlTagIndex.Param, false, false, HtmlTagId.Param, HtmlAttributeId.Unknown),    
            new NameDef(56, "acronym", HtmlTagIndex.Acronym, false, false, HtmlTagId.Acronym, HtmlAttributeId.Unknown),    
            new NameDef(56, "bdo", HtmlTagIndex.Bdo, false, false, HtmlTagId.Bdo, HtmlAttributeId.Unknown),    
            new NameDef(58, "for", HtmlTagId.Unknown, HtmlAttributeId.For),    
            new NameDef(58, "text", HtmlTagId.Unknown, HtmlAttributeId.Text),    
            new NameDef(59, "color", HtmlTagId.Unknown, HtmlAttributeId.Color),    
            new NameDef(63, "a", HtmlTagIndex.A, false, false, HtmlTagId.A, HtmlAttributeId.Unknown),    
            new NameDef(66, "?pxml", HtmlTagIndex._Pxml, false, false, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(68, "face", HtmlTagId.Unknown, HtmlAttributeId.Face),    
            new NameDef(72, "rowspan", HtmlTagId.Unknown, HtmlAttributeId.RowSpan),    
            new NameDef(73, "nowrap", HtmlTagId.Unknown, HtmlAttributeId.NoWrap),    
            new NameDef(74, "ins", HtmlTagIndex.Ins, false, false, HtmlTagId.Ins, HtmlAttributeId.Unknown),    
            new NameDef(85, "rp", HtmlTagIndex.RP, false, false, HtmlTagId.RP, HtmlAttributeId.Unknown),    
            new NameDef(86, "script", HtmlTagIndex.Script, true, true, HtmlTagId.Script, HtmlAttributeId.Unknown),    
            new NameDef(88, "char", HtmlTagId.Unknown, HtmlAttributeId.Char),    
            new NameDef(100, "bgcolor", HtmlTagId.Unknown, HtmlAttributeId.BGColor),    
            new NameDef(123, "style", HtmlTagIndex.Style, true, true, HtmlTagId.Style, HtmlAttributeId.Style),    
            new NameDef(126, "width", HtmlTagId.Unknown, HtmlAttributeId.Width),    
            new NameDef(128, "headers", HtmlTagId.Unknown, HtmlAttributeId.Headers),    
            new NameDef(130, "map", HtmlTagIndex.Map, false, false, HtmlTagId.Map, HtmlAttributeId.Unknown),    
            new NameDef(130, "listing", HtmlTagIndex.Listing, false, false, HtmlTagId.Listing, HtmlAttributeId.Unknown),    
            new NameDef(132, "data", HtmlTagId.Unknown, HtmlAttributeId.Data),    
            new NameDef(135, "sub", HtmlTagIndex.Sub, false, false, HtmlTagId.Sub, HtmlAttributeId.Unknown),    
            new NameDef(136, "h2", HtmlTagIndex.H2, false, false, HtmlTagId.H2, HtmlAttributeId.Unknown),    
            new NameDef(137, "image", HtmlTagIndex.Image, false, false, HtmlTagId.Image, HtmlAttributeId.Unknown),    
            new NameDef(141, "standby", HtmlTagId.Unknown, HtmlAttributeId.StandBy),    
            new NameDef(143, "select", HtmlTagIndex.Select, false, false, HtmlTagId.Select, HtmlAttributeId.Unknown),    
            new NameDef(145, "profile", HtmlTagId.Unknown, HtmlAttributeId.Profile),    
            new NameDef(145, "nohref", HtmlTagId.Unknown, HtmlAttributeId.NoHref),    
            new NameDef(155, "button", HtmlTagIndex.Button, false, false, HtmlTagId.Button, HtmlAttributeId.Unknown),    
            new NameDef(162, "meta", HtmlTagIndex.Meta, false, false, HtmlTagId.Meta, HtmlAttributeId.Unknown),    
            new NameDef(166, "rules", HtmlTagId.Unknown, HtmlAttributeId.Rules),    
            new NameDef(167, "class", HtmlTagId.Unknown, HtmlAttributeId.Class),    
            new NameDef(170, "src", HtmlTagId.Unknown, HtmlAttributeId.Src),    
            new NameDef(171, "legend", HtmlTagIndex.Legend, false, false, HtmlTagId.Legend, HtmlAttributeId.Unknown),    
            new NameDef(177, "scrolling", HtmlTagId.Unknown, HtmlAttributeId.Scrolling),    
            new NameDef(180, "vlink", HtmlTagId.Unknown, HtmlAttributeId.Vlink),    
            new NameDef(181, "del", HtmlTagIndex.Del, false, false, HtmlTagId.Del, HtmlAttributeId.Unknown),    
            new NameDef(187, "hspace", HtmlTagId.Unknown, HtmlAttributeId.Hspace),    
            new NameDef(190, "charset", HtmlTagId.Unknown, HtmlAttributeId.Charset),    
            new NameDef(196, "rt", HtmlTagIndex.RT, false, false, HtmlTagId.RT, HtmlAttributeId.Unknown),    
            new NameDef(198, "italic", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(201, "div", HtmlTagIndex.Div, false, false, HtmlTagId.Div, HtmlAttributeId.Unknown),    
            new NameDef(205, "dir", HtmlTagIndex.Dir, false, false, HtmlTagId.Dir, HtmlAttributeId.Dir),    
            new NameDef(206, "tt", HtmlTagIndex.TT, false, false, HtmlTagId.TT, HtmlAttributeId.Unknown),    
            new NameDef(206, "lowsrc", HtmlTagId.Unknown, HtmlAttributeId.LowSrc),    
            new NameDef(208, "h6", HtmlTagIndex.H6, false, false, HtmlTagId.H6, HtmlAttributeId.Unknown),    
            new NameDef(209, "valuetype", HtmlTagId.Unknown, HtmlAttributeId.ValueType),    
            new NameDef(210, "declare", HtmlTagId.Unknown, HtmlAttributeId.Declare),    
            new NameDef(212, "size", HtmlTagId.Unknown, HtmlAttributeId.Size),    
            new NameDef(214, "frameset", HtmlTagIndex.FrameSet, false, false, HtmlTagId.FrameSet, HtmlAttributeId.Unknown),    
            new NameDef(216, "readonly", HtmlTagId.Unknown, HtmlAttributeId.ReadOnly),    
            new NameDef(218, "language", HtmlTagId.Unknown, HtmlAttributeId.Language),    
            new NameDef(220, "area", HtmlTagIndex.Area, false, false, HtmlTagId.Area, HtmlAttributeId.Unknown),    
            new NameDef(220, "blockquote", HtmlTagIndex.BlockQuote, false, false, HtmlTagId.BlockQuote, HtmlAttributeId.Unknown),    
            new NameDef(222, "topmargin", HtmlTagId.Unknown, HtmlAttributeId.TopMargin),    
            new NameDef(223, "noembed", HtmlTagIndex.NoEmbed, false, false, HtmlTagId.NoEmbed, HtmlAttributeId.Unknown),    
            new NameDef(224, "basefont", HtmlTagIndex.BaseFont, false, false, HtmlTagId.BaseFont, HtmlAttributeId.Unknown),    
            new NameDef(229, "noframes", HtmlTagIndex.NoFrames, false, false, HtmlTagId.NoFrames, HtmlAttributeId.Unknown),    
            new NameDef(232, "border", HtmlTagId.Unknown, HtmlAttributeId.Border),    
            new NameDef(233, "center", HtmlTagIndex.Center, false, false, HtmlTagId.Center, HtmlAttributeId.Unknown),    
            new NameDef(237, "height", HtmlTagId.Unknown, HtmlAttributeId.Height),    
            new NameDef(240, "underline", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(242, "flushboth", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(244, "bgsound", HtmlTagIndex.BGSound, false, false, HtmlTagId.BGSound, HtmlAttributeId.Unknown),    
            new NameDef(249, "var", HtmlTagIndex.Var, false, false, HtmlTagId.Var, HtmlAttributeId.Unknown),    
            new NameDef(249, "start", HtmlTagId.Unknown, HtmlAttributeId.Start),    
            new NameDef(252, "td", HtmlTagIndex.TD, false, false, HtmlTagId.TD, HtmlAttributeId.Unknown),    
            new NameDef(253, "id", HtmlTagId.Unknown, HtmlAttributeId.Id),    
            new NameDef(254, "rows", HtmlTagId.Unknown, HtmlAttributeId.Rows),    
            new NameDef(255, "h4", HtmlTagIndex.H4, false, false, HtmlTagId.H4, HtmlAttributeId.Unknown),    
            new NameDef(257, "abbr", HtmlTagIndex.Abbr, false, false, HtmlTagId.Abbr, HtmlAttributeId.Abbr),    
            new NameDef(258, "http-equiv", HtmlTagId.Unknown, HtmlAttributeId.HttpEquiv),    
            new NameDef(259, "span", HtmlTagIndex.Span, false, false, HtmlTagId.Span, HtmlAttributeId.Span),    
            new NameDef(268, "dd", HtmlTagIndex.DD, false, false, HtmlTagId.DD, HtmlAttributeId.Unknown),    
            new NameDef(271, "address", HtmlTagIndex.Address, false, false, HtmlTagId.Address, HtmlAttributeId.Unknown),    
            new NameDef(273, "applet", HtmlTagIndex.Applet, false, false, HtmlTagId.Applet, HtmlAttributeId.Unknown),    
            new NameDef(274, "rel", HtmlTagId.Unknown, HtmlAttributeId.Rel),    
            new NameDef(278, "textarea", HtmlTagIndex.TextArea, true, false, HtmlTagId.TextArea, HtmlAttributeId.Unknown),    
            new NameDef(279, "tbody", HtmlTagIndex.Tbody, false, false, HtmlTagId.Tbody, HtmlAttributeId.Unknown),    
            new NameDef(283, "paraindent", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(286, "dt", HtmlTagIndex.DT, false, false, HtmlTagId.DT, HtmlAttributeId.Unknown),    
            new NameDef(292, "checked", HtmlTagId.Unknown, HtmlAttributeId.Checked),    
            new NameDef(292, "nextid", HtmlTagIndex.NextId, false, false, HtmlTagId.NextId, HtmlAttributeId.Unknown),    
            new NameDef(293, "head", HtmlTagIndex.Head, false, false, HtmlTagId.Head, HtmlAttributeId.Unknown),    
            new NameDef(296, "rev", HtmlTagId.Unknown, HtmlAttributeId.Rev),    
            new NameDef(297, "small", HtmlTagIndex.Small, false, false, HtmlTagId.Small, HtmlAttributeId.Unknown),    
            new NameDef(299, "cite", HtmlTagIndex.Cite, false, false, HtmlTagId.Cite, HtmlAttributeId.Cite),    
            new NameDef(305, "cols", HtmlTagId.Unknown, HtmlAttributeId.Cols),    
            new NameDef(305, "longdesc", HtmlTagId.Unknown, HtmlAttributeId.LongDesc),    
            new NameDef(306, "sup", HtmlTagIndex.Sup, false, false, HtmlTagId.Sup, HtmlAttributeId.Unknown),    
            new NameDef(314, "fixed", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(315, "prompt", HtmlTagId.Unknown, HtmlAttributeId.Prompt),    
            new NameDef(320, "disabled", HtmlTagId.Unknown, HtmlAttributeId.Disabled),    
            new NameDef(322, "name", HtmlTagId.Unknown, HtmlAttributeId.Name),    
            new NameDef(322, "coords", HtmlTagId.Unknown, HtmlAttributeId.Coords),    
            new NameDef(323, "summary", HtmlTagId.Unknown, HtmlAttributeId.Summary),    
            new NameDef(324, "object", HtmlTagIndex.Object, false, false, HtmlTagId.Object, HtmlAttributeId.Object),    
            new NameDef(331, "label", HtmlTagIndex.Label, false, false, HtmlTagId.Label, HtmlAttributeId.Label),    
            new NameDef(332, "content", HtmlTagId.Unknown, HtmlAttributeId.Content),    
            new NameDef(333, "target", HtmlTagId.Unknown, HtmlAttributeId.Target),    
            new NameDef(340, "em", HtmlTagIndex.EM, false, false, HtmlTagId.EM, HtmlAttributeId.Unknown),    
            new NameDef(344, "clear", HtmlTagId.Unknown, HtmlAttributeId.Clear),    
            new NameDef(354, "scope", HtmlTagId.Unknown, HtmlAttributeId.Scope),    
            new NameDef(356, "compact", HtmlTagId.Unknown, HtmlAttributeId.Compact),    
            new NameDef(358, "blink", HtmlTagIndex.Blink, false, false, HtmlTagId.Blink, HtmlAttributeId.Unknown),    
            new NameDef(372, "selected", HtmlTagId.Unknown, HtmlAttributeId.Selected),    
            new NameDef(374, "maxlength", HtmlTagId.Unknown, HtmlAttributeId.MaxLength),    
            new NameDef(380, "frame", HtmlTagIndex.Frame, false, false, HtmlTagId.Frame, HtmlAttributeId.Frame),    
            new NameDef(381, "thead", HtmlTagIndex.Thead, false, false, HtmlTagId.Thead, HtmlAttributeId.Unknown),    
            new NameDef(389, "tabindex", HtmlTagId.Unknown, HtmlAttributeId.TabIndex),    
            new NameDef(395, "?import", HtmlTagIndex._Import, false, false, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(395, "marquee", HtmlTagIndex.Marquee, false, false, HtmlTagId.Marquee, HtmlAttributeId.Unknown),    
            new NameDef(405, "embed", HtmlTagIndex.Embed, false, false, HtmlTagId.Embed, HtmlAttributeId.Unknown),    
            new NameDef(406, "th", HtmlTagIndex.TH, false, false, HtmlTagId.TH, HtmlAttributeId.Unknown),    
            new NameDef(407, "caption", HtmlTagIndex.Caption, false, false, HtmlTagId.Caption, HtmlAttributeId.Unknown),    
            new NameDef(413, "value", HtmlTagId.Unknown, HtmlAttributeId.Value),    
            new NameDef(420, "smaller", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(424, "datetime", HtmlTagId.Unknown, HtmlAttributeId.DateTime),    
            new NameDef(426, "classid", HtmlTagId.Unknown, HtmlAttributeId.ClassId),    
            new NameDef(432, "bold", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(433, "strike", HtmlTagIndex.Strike, false, false, HtmlTagId.Strike, HtmlAttributeId.Unknown),    
            new NameDef(447, "flushleft", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(448, "noshade", HtmlTagId.Unknown, HtmlAttributeId.NoShade),    
            new NameDef(449, "leftmargin", HtmlTagId.Unknown, HtmlAttributeId.LeftMargin),    
            new NameDef(450, "title", HtmlTagIndex.Title, true, false, HtmlTagId.Title, HtmlAttributeId.Title),    
            new NameDef(452, "excerpt", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(454, "cellpadding", HtmlTagId.Unknown, HtmlAttributeId.CellPadding),    
            new NameDef(458, "dfn", HtmlTagIndex.Doofn, false, false, HtmlTagId.Doofn, HtmlAttributeId.Unknown),    
            new NameDef(459, "charoff", HtmlTagId.Unknown, HtmlAttributeId.CharOff),    
            new NameDef(461, "isindex", HtmlTagIndex.IsIndex, false, false, HtmlTagId.IsIndex, HtmlAttributeId.Unknown),    
            new NameDef(462, "tfoot", HtmlTagIndex.Tfoot, false, false, HtmlTagId.Tfoot, HtmlAttributeId.Unknown),    
            new NameDef(464, "nobr", HtmlTagIndex.NoBR, false, false, HtmlTagId.NoBR, HtmlAttributeId.Unknown),    
            new NameDef(470, "lang", HtmlTagId.Unknown, HtmlAttributeId.Lang),    
            new NameDef(472, "optgroup", HtmlTagIndex.OptGroup, false, false, HtmlTagId.OptGroup, HtmlAttributeId.Unknown),    
            new NameDef(474, "accept-charset", HtmlTagId.Unknown, HtmlAttributeId.AcceptCharset),    
            new NameDef(474, "option", HtmlTagIndex.Option, false, false, HtmlTagId.Option, HtmlAttributeId.Unknown),    
            new NameDef(476, "big", HtmlTagIndex.Big, false, false, HtmlTagId.Big, HtmlAttributeId.Unknown),    
            new NameDef(477, "font", HtmlTagIndex.Font, false, false, HtmlTagId.Font, HtmlAttributeId.Unknown),    
            new NameDef(479, "type", HtmlTagId.Unknown, HtmlAttributeId.Type),    
            new NameDef(482, "href", HtmlTagId.Unknown, HtmlAttributeId.Href),    
            new NameDef(484, "img", HtmlTagIndex.Img, false, false, HtmlTagId.Img, HtmlAttributeId.Unknown),    
            new NameDef(486, "vspace", HtmlTagId.Unknown, HtmlAttributeId.Vspace),    
            new NameDef(487, "h3", HtmlTagIndex.H3, false, false, HtmlTagId.H3, HtmlAttributeId.Unknown),    
            new NameDef(493, "align", HtmlTagId.Unknown, HtmlAttributeId.Align),    
            new NameDef(497, "wbr", HtmlTagIndex.Wbr, false, false, HtmlTagId.Wbr, HtmlAttributeId.Unknown),    
            new NameDef(499, "accesskey", HtmlTagId.Unknown, HtmlAttributeId.AccessKey),    
            new NameDef(502, "col", HtmlTagIndex.Col, false, false, HtmlTagId.Col, HtmlAttributeId.Unknown),    
            new NameDef(504, "menu", HtmlTagIndex.Menu, false, false, HtmlTagId.Menu, HtmlAttributeId.Unknown),    
            new NameDef(504, "bigger", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(506, "codebase", HtmlTagId.Unknown, HtmlAttributeId.CodeBase),    
            new NameDef(508, "strong", HtmlTagIndex.Strong, false, false, HtmlTagId.Strong, HtmlAttributeId.Unknown),    
            new NameDef(510, "br", HtmlTagIndex.BR, false, false, HtmlTagId.BR, HtmlAttributeId.Unknown),    
            new NameDef(512, "archive", HtmlTagId.Unknown, HtmlAttributeId.Archive),    
            new NameDef(514, "ul", HtmlTagIndex.UL, false, false, HtmlTagId.UL, HtmlAttributeId.Unknown),    
            new NameDef(516, "noscript", HtmlTagIndex.NoScript, false, false, HtmlTagId.NoScript, HtmlAttributeId.Unknown),    
            new NameDef(517, "plaintext", HtmlTagIndex.PlainText, true, true, HtmlTagId.PlainText, HtmlAttributeId.Unknown),    
            new NameDef(521, "base", HtmlTagIndex.Base, false, false, HtmlTagId.Base, HtmlAttributeId.Unknown),    
            new NameDef(521, "ismap", HtmlTagId.Unknown, HtmlAttributeId.IsMap),    
            new NameDef(522, "defer", HtmlTagId.Unknown, HtmlAttributeId.Defer),    
            new NameDef(523, "body", HtmlTagIndex.Body, false, false, HtmlTagId.Body, HtmlAttributeId.Unknown),    
            new NameDef(524, "ol", HtmlTagIndex.OL, false, false, HtmlTagId.OL, HtmlAttributeId.Unknown),    
            new NameDef(526, "h1", HtmlTagIndex.H1, false, false, HtmlTagId.H1, HtmlAttributeId.Unknown),    
            new NameDef(528, "valign", HtmlTagId.Unknown, HtmlAttributeId.Valign),    
            new NameDef(531, "media", HtmlTagId.Unknown, HtmlAttributeId.Media),    
            new NameDef(532, "iframe", HtmlTagIndex.Iframe, false, false, HtmlTagId.Iframe, HtmlAttributeId.Unknown),    
            new NameDef(533, "dl", HtmlTagIndex.DL, false, false, HtmlTagId.DL, HtmlAttributeId.Unknown),    
            new NameDef(535, "colspan", HtmlTagId.Unknown, HtmlAttributeId.ColSpan),    
            new NameDef(538, "axis", HtmlTagId.Unknown, HtmlAttributeId.Axis),    
            new NameDef(542, "marginheight", HtmlTagId.Unknown, HtmlAttributeId.MarginHeight),    
            new NameDef(543, "alink", HtmlTagId.Unknown, HtmlAttributeId.Alink),    
            new NameDef(545, "?xml:namespace", HtmlTagIndex._Xml_Namespace, false, false, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(546, "method", HtmlTagId.Unknown, HtmlAttributeId.Method),    
            new NameDef(549, "fontfamily", HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
            new NameDef(554, "fieldset", HtmlTagIndex.FieldSet, false, false, HtmlTagId.FieldSet, HtmlAttributeId.Unknown),    
            new NameDef(556, "pre", HtmlTagIndex.Pre, false, false, HtmlTagId.Pre, HtmlAttributeId.Unknown),    
            new NameDef(557, "table", HtmlTagIndex.Table, false, false, HtmlTagId.Table, HtmlAttributeId.Unknown),    
            new NameDef(560, "tr", HtmlTagIndex.TR, false, false, HtmlTagId.TR, HtmlAttributeId.Unknown),    
            new NameDef(562, "samp", HtmlTagIndex.Samp, false, false, HtmlTagId.Samp, HtmlAttributeId.Unknown),    
            new NameDef(563, "link", HtmlTagIndex.Link, false, false, HtmlTagId.Link, HtmlAttributeId.Link),    
            new NameDef(564, "hr", HtmlTagIndex.HR, false, false, HtmlTagId.HR, HtmlAttributeId.Unknown),    
            new NameDef(568, "form", HtmlTagIndex.Form, false, false, HtmlTagId.Form, HtmlAttributeId.Unknown),    
            new NameDef(569, "input", HtmlTagIndex.Input, false, false, HtmlTagId.Input, HtmlAttributeId.Unknown),    
            new NameDef(570, "xml", HtmlTagIndex.Xml, true, true, HtmlTagId.Xml, HtmlAttributeId.Unknown),    
            new NameDef(572, "usemap", HtmlTagId.Unknown, HtmlAttributeId.UseMap),    
            new NameDef(574, "xmp", HtmlTagIndex.Xmp, true, true, HtmlTagId.Xmp, HtmlAttributeId.Unknown),    
            new NameDef(574, "html", HtmlTagIndex.Html, false, false, HtmlTagId.Html, HtmlAttributeId.Unknown),    
            new NameDef(575, "codetype", HtmlTagId.Unknown, HtmlAttributeId.CodeType),    
            new NameDef(580, "marginwidth", HtmlTagId.Unknown, HtmlAttributeId.MarginWidth),    
            new NameDef(584, "q", HtmlTagIndex.Q, false, false, HtmlTagId.Q, HtmlAttributeId.Unknown),    
            new NameDef(585, "colgroup", HtmlTagIndex.ColGroup, false, false, HtmlTagId.ColGroup, HtmlAttributeId.Unknown),    
            new NameDef(585, "dynsrc", HtmlTagId.Unknown, HtmlAttributeId.DynSrc),    
            new NameDef(586, "s", HtmlTagIndex.S, false, false, HtmlTagId.S, HtmlAttributeId.Unknown),    
            new NameDef(587, "p", HtmlTagIndex.P, false, false, HtmlTagId.P, HtmlAttributeId.Unknown),    
            new NameDef(588, "u", HtmlTagIndex.U, false, false, HtmlTagId.U, HtmlAttributeId.Unknown),    
            new NameDef(589, "action", HtmlTagId.Unknown, HtmlAttributeId.Action),    
            new NameDef(590, "enctype", HtmlTagId.Unknown, HtmlAttributeId.EncType),    
            new NameDef(592, "i", HtmlTagIndex.I, false, false, HtmlTagId.I, HtmlAttributeId.Unknown),    
            new NameDef(597, "b", HtmlTagIndex.B, false, false, HtmlTagId.B, HtmlAttributeId.Unknown),    
            new NameDef(598, "h5", HtmlTagIndex.H5, false, false, HtmlTagId.H5, HtmlAttributeId.Unknown),    
            new NameDef(599, "background", HtmlTagId.Unknown, HtmlAttributeId.Background),    
            new NameDef(600, null, HtmlTagId.Unknown, HtmlAttributeId.Unknown),    
        };

        public static HtmlNameIndex[] tagIndex =
        {
            HtmlNameIndex.Unknown,
            HtmlNameIndex.A,
            HtmlNameIndex.Abbr,
            HtmlNameIndex.Acronym,
            HtmlNameIndex.Address,
            HtmlNameIndex.Applet,
            HtmlNameIndex.Area,
            HtmlNameIndex.B,
            HtmlNameIndex.Base,
            HtmlNameIndex.BaseFont,
            HtmlNameIndex.Bdo,
            HtmlNameIndex.BGSound,
            HtmlNameIndex.Big,
            HtmlNameIndex.Blink,
            HtmlNameIndex.BlockQuote,
            HtmlNameIndex.Body,
            HtmlNameIndex.BR,
            HtmlNameIndex.Button,
            HtmlNameIndex.Caption,
            HtmlNameIndex.Center,
            HtmlNameIndex.Cite,
            HtmlNameIndex.Code,
            HtmlNameIndex.Col,
            HtmlNameIndex.ColGroup,
            HtmlNameIndex.Comment,
            HtmlNameIndex.DD,
            HtmlNameIndex.Del,
            HtmlNameIndex.Doofn,
            HtmlNameIndex.Dir,
            HtmlNameIndex.Div,
            HtmlNameIndex.DL,
            HtmlNameIndex.DT,
            HtmlNameIndex.EM,
            HtmlNameIndex.Embed,
            HtmlNameIndex.FieldSet,
            HtmlNameIndex.Font,
            HtmlNameIndex.Form,
            HtmlNameIndex.Frame,
            HtmlNameIndex.FrameSet,
            HtmlNameIndex.H1,
            HtmlNameIndex.H2,
            HtmlNameIndex.H3,
            HtmlNameIndex.H4,
            HtmlNameIndex.H5,
            HtmlNameIndex.H6,
            HtmlNameIndex.Head,
            HtmlNameIndex.HR,
            HtmlNameIndex.Html,
            HtmlNameIndex.I,
            HtmlNameIndex.Iframe,
            HtmlNameIndex.Image,
            HtmlNameIndex.Img,
            HtmlNameIndex.Input,
            HtmlNameIndex.Ins,
            HtmlNameIndex.IsIndex,
            HtmlNameIndex.Kbd,
            HtmlNameIndex.Label,
            HtmlNameIndex.Legend,
            HtmlNameIndex.LI,
            HtmlNameIndex.Link,
            HtmlNameIndex.Listing,
            HtmlNameIndex.Map,
            HtmlNameIndex.Marquee,
            HtmlNameIndex.Menu,
            HtmlNameIndex.Meta,
            HtmlNameIndex.NextId,
            HtmlNameIndex.NoBR,
            HtmlNameIndex.NoEmbed,
            HtmlNameIndex.NoFrames,
            HtmlNameIndex.NoScript,
            HtmlNameIndex.Object,
            HtmlNameIndex.OL,
            HtmlNameIndex.OptGroup,
            HtmlNameIndex.Option,
            HtmlNameIndex.P,
            HtmlNameIndex.Param,
            HtmlNameIndex.PlainText,
            HtmlNameIndex.Pre,
            HtmlNameIndex.Q,
            HtmlNameIndex.RP,
            HtmlNameIndex.RT,
            HtmlNameIndex.Ruby,
            HtmlNameIndex.S,
            HtmlNameIndex.Samp,
            HtmlNameIndex.Script,
            HtmlNameIndex.Select,
            HtmlNameIndex.Small,
            HtmlNameIndex.Span,
            HtmlNameIndex.Strike,
            HtmlNameIndex.Strong,
            HtmlNameIndex.Style,
            HtmlNameIndex.Sub,
            HtmlNameIndex.Sup,
            HtmlNameIndex.Table,
            HtmlNameIndex.Tbody,
            HtmlNameIndex.TD,
            HtmlNameIndex.TextArea,
            HtmlNameIndex.Tfoot,
            HtmlNameIndex.TH,
            HtmlNameIndex.Thead,
            HtmlNameIndex.Title,
            HtmlNameIndex.TR,
            HtmlNameIndex.TT,
            HtmlNameIndex.U,
            HtmlNameIndex.UL,
            HtmlNameIndex.Var,
            HtmlNameIndex.Wbr,
            HtmlNameIndex.Xml,
            HtmlNameIndex.Xmp,
        };

        public static HtmlNameIndex[] attributeIndex =
        {
            HtmlNameIndex.Unknown,
            HtmlNameIndex.Abbr,
            HtmlNameIndex.Accept,
            HtmlNameIndex.AcceptCharset,
            HtmlNameIndex.AccessKey,
            HtmlNameIndex.Action,
            HtmlNameIndex.Align,
            HtmlNameIndex.Alink,
            HtmlNameIndex.Alt,
            HtmlNameIndex.Archive,
            HtmlNameIndex.Axis,
            HtmlNameIndex.Background,
            HtmlNameIndex.BGColor,
            HtmlNameIndex.Border,
            HtmlNameIndex.CellPadding,
            HtmlNameIndex.CellSpacing,
            HtmlNameIndex.Char,
            HtmlNameIndex.CharOff,
            HtmlNameIndex.Charset,
            HtmlNameIndex.Checked,
            HtmlNameIndex.Cite,
            HtmlNameIndex.Class,
            HtmlNameIndex.ClassId,
            HtmlNameIndex.Clear,
            HtmlNameIndex.Code,
            HtmlNameIndex.CodeBase,
            HtmlNameIndex.CodeType,
            HtmlNameIndex.Color,
            HtmlNameIndex.Cols,
            HtmlNameIndex.ColSpan,
            HtmlNameIndex.Compact,
            HtmlNameIndex.Content,
            HtmlNameIndex.Coords,
            HtmlNameIndex.Data,
            HtmlNameIndex.DateTime,
            HtmlNameIndex.Declare,
            HtmlNameIndex.Defer,
            HtmlNameIndex.Dir,
            HtmlNameIndex.Disabled,
            HtmlNameIndex.DynSrc,
            HtmlNameIndex.EncType,
            HtmlNameIndex.Face,
            HtmlNameIndex.For,
            HtmlNameIndex.Frame,
            HtmlNameIndex.FrameBorder,
            HtmlNameIndex.Headers,
            HtmlNameIndex.Height,
            HtmlNameIndex.Href,
            HtmlNameIndex.HrefLang,
            HtmlNameIndex.Hspace,
            HtmlNameIndex.HttpEquiv,
            HtmlNameIndex.Id,
            HtmlNameIndex.IsMap,
            HtmlNameIndex.Label,
            HtmlNameIndex.Lang,
            HtmlNameIndex.Language,
            HtmlNameIndex.LeftMargin,
            HtmlNameIndex.Link,
            HtmlNameIndex.LongDesc,
            HtmlNameIndex.LowSrc,
            HtmlNameIndex.MarginHeight,
            HtmlNameIndex.MarginWidth,
            HtmlNameIndex.MaxLength,
            HtmlNameIndex.Media,
            HtmlNameIndex.Method,
            HtmlNameIndex.Multiple,
            HtmlNameIndex.Name,
            HtmlNameIndex.NoHref,
            HtmlNameIndex.NoResize,
            HtmlNameIndex.NoShade,
            HtmlNameIndex.NoWrap,
            HtmlNameIndex.Object,
            HtmlNameIndex.Profile,
            HtmlNameIndex.Prompt,
            HtmlNameIndex.ReadOnly,
            HtmlNameIndex.Rel,
            HtmlNameIndex.Rev,
            HtmlNameIndex.Rows,
            HtmlNameIndex.RowSpan,
            HtmlNameIndex.Rules,
            HtmlNameIndex.Scheme,
            HtmlNameIndex.Scope,
            HtmlNameIndex.Scrolling,
            HtmlNameIndex.Selected,
            HtmlNameIndex.Shape,
            HtmlNameIndex.Size,
            HtmlNameIndex.Span,
            HtmlNameIndex.Src,
            HtmlNameIndex.StandBy,
            HtmlNameIndex.Start,
            HtmlNameIndex.Style,
            HtmlNameIndex.Summary,
            HtmlNameIndex.TabIndex,
            HtmlNameIndex.Target,
            HtmlNameIndex.Text,
            HtmlNameIndex.Title,
            HtmlNameIndex.TopMargin,
            HtmlNameIndex.Type,
            HtmlNameIndex.UseMap,
            HtmlNameIndex.Valign,
            HtmlNameIndex.Value,
            HtmlNameIndex.ValueType,
            HtmlNameIndex.Version,
            HtmlNameIndex.Vlink,
            HtmlNameIndex.Vspace,
            HtmlNameIndex.Width,
        };

        public static EntityDef[] entities =
        {
            new EntityDef(0, 0, null),    
            new EntityDef(1, 969, "omega"),    
            new EntityDef(1, 8195, "emsp"),    
            new EntityDef(2, 8235, "rle"),    
            new EntityDef(5, 211, "Oacute"),    
            new EntityDef(8, 402, "fnof"),    
            new EntityDef(9, 216, "Oslash"),    
            new EntityDef(12, 209, "Ntilde"),    
            new EntityDef(14, 8592, "larr"),    
            new EntityDef(15, 968, "psi"),    
            new EntityDef(15, 34, "QUOT"),    
            new EntityDef(20, 928, "Pi"),    
            new EntityDef(22, 181, "micro"),    
            new EntityDef(24, 982, "piv"),    
            new EntityDef(26, 978, "upsih"),    
            new EntityDef(28, 926, "Xi"),    
            new EntityDef(28, 8968, "lceil"),    
            new EntityDef(29, 229, "aring"),    
            new EntityDef(30, 8715, "ni"),    
            new EntityDef(30, 175, "macr"),    
            new EntityDef(32, 8745, "cap"),    
            new EntityDef(33, 239, "iuml"),    
            new EntityDef(34, 967, "chi"),    
            new EntityDef(38, 188, "frac14"),    
            new EntityDef(40, 190, "frac34"),    
            new EntityDef(41, 186, "ordm"),    
            new EntityDef(41, 160, "nbsp"),    
            new EntityDef(44, 8743, "and"),    
            new EntityDef(47, 166, "brvbar"),    
            new EntityDef(49, 8203, "zwsp"),    
            new EntityDef(50, 8704, "forall"),    
            new EntityDef(52, 960, "pi"),    
            new EntityDef(53, 8855, "otimes"),    
            new EntityDef(54, 250, "uacute"),    
            new EntityDef(55, 8736, "ang"),    
            new EntityDef(56, 161, "iexcl"),    
            new EntityDef(57, 8206, "lrm"),    
            new EntityDef(57, 965, "upsilon"),    
            new EntityDef(60, 958, "xi"),    
            new EntityDef(65, 8234, "lre"),    
            new EntityDef(66, 8205, "zwj"),    
            new EntityDef(68, 925, "Nu"),    
            new EntityDef(69, 924, "Mu"),    
            new EntityDef(71, 8237, "lro"),    
            new EntityDef(73, 169, "COPY"),    
            new EntityDef(74, 8836, "nsub"),    
            new EntityDef(74, 8834, "sub"),    
            new EntityDef(83, 254, "thorn"),    
            new EntityDef(85, 8721, "sum"),    
            new EntityDef(87, 8217, "rsquo"),    
            new EntityDef(88, 183, "middot"),    
            new EntityDef(97, 202, "Ecirc"),    
            new EntityDef(97, 8240, "permil"),    
            new EntityDef(98, 8201, "thinsp"),    
            new EntityDef(100, 215, "times"),    
            new EntityDef(100, 957, "nu"),    
            new EntityDef(101, 956, "mu"),    
            new EntityDef(102, 165, "yen"),    
            new EntityDef(107, 8719, "prod"),    
            new EntityDef(116, 8659, "dArr"),    
            new EntityDef(118, 235, "euml"),    
            new EntityDef(118, 226, "acirc"),    
            new EntityDef(122, 914, "Beta"),    
            new EntityDef(123, 8730, "radic"),    
            new EntityDef(123, 189, "frac12"),    
            new EntityDef(130, 9829, "hearts"),    
            new EntityDef(131, 8482, "TRADE"),    
            new EntityDef(134, 8250, "rsaquo"),    
            new EntityDef(136, 196, "Auml"),    
            new EntityDef(137, 249, "ugrave"),    
            new EntityDef(142, 231, "ccedil"),    
            new EntityDef(143, 338, "OElig"),    
            new EntityDef(144, 167, "sect"),    
            new EntityDef(144, 201, "Eacute"),    
            new EntityDef(146, 8756, "there4"),    
            new EntityDef(148, 174, "REG"),    
            new EntityDef(155, 177, "plusmn"),    
            new EntityDef(155, 9001, "lang"),    
            new EntityDef(158, 977, "thetasym"),    
            new EntityDef(161, 8658, "rArr"),    
            new EntityDef(162, 953, "iota"),    
            new EntityDef(163, 8969, "rceil"),    
            new EntityDef(164, 8709, "empty"),    
            new EntityDef(164, 38, "AMP"),    
            new EntityDef(164, 62, "gt"),    
            new EntityDef(165, 934, "Phi"),    
            new EntityDef(166, 915, "Gamma"),    
            new EntityDef(167, 8299, "ass"),    
            new EntityDef(171, 60, "lt"),    
            new EntityDef(177, 918, "Zeta"),    
            new EntityDef(179, 210, "Ograve"),    
            new EntityDef(179, 176, "deg"),    
            new EntityDef(187, 9824, "spades"),    
            new EntityDef(193, 8204, "zwnj"),    
            new EntityDef(193, 8707, "exist"),    
            new EntityDef(196, 948, "delta"),    
            new EntityDef(200, 174, "reg"),    
            new EntityDef(203, 8712, "isin"),    
            new EntityDef(204, 913, "Alpha"),    
            new EntityDef(207, 376, "Yuml"),    
            new EntityDef(211, 184, "cedil"),    
            new EntityDef(211, 178, "sup2"),    
            new EntityDef(218, 8971, "rfloor"),    
            new EntityDef(220, 247, "divide"),    
            new EntityDef(222, 927, "Omicron"),    
            new EntityDef(225, 170, "ordf"),    
            new EntityDef(227, 9827, "clubs"),    
            new EntityDef(228, 220, "Uuml"),    
            new EntityDef(229, 919, "Eta"),    
            new EntityDef(231, 194, "Acirc"),    
            new EntityDef(232, 195, "Atilde"),    
            new EntityDef(233, 929, "Rho"),    
            new EntityDef(234, 8501, "alefsym"),    
            new EntityDef(240, 198, "AElig"),    
            new EntityDef(240, 8970, "lfloor"),    
            new EntityDef(248, 8660, "hArr"),    
            new EntityDef(250, 8254, "oline"),    
            new EntityDef(254, 193, "Aacute"),    
            new EntityDef(255, 199, "Ccedil"),    
            new EntityDef(256, 952, "theta"),    
            new EntityDef(257, 8744, "or"),    
            new EntityDef(258, 200, "Egrave"),    
            new EntityDef(259, 8482, "trade"),    
            new EntityDef(260, 8747, "int"),    
            new EntityDef(262, 185, "sup1"),    
            new EntityDef(263, 966, "phi"),    
            new EntityDef(265, 8746, "cup"),    
            new EntityDef(268, 8801, "equiv"),    
            new EntityDef(272, 8764, "sim"),    
            new EntityDef(273, 221, "Yacute"),    
            new EntityDef(276, 8243, "Prime"),    
            new EntityDef(277, 8593, "uarr"),    
            new EntityDef(280, 8212, "mdash"),    
            new EntityDef(280, 38, "amp"),    
            new EntityDef(281, 180, "acute"),    
            new EntityDef(285, 208, "ETH"),    
            new EntityDef(287, 233, "eacute"),    
            new EntityDef(290, 8472, "weierp"),    
            new EntityDef(292, 922, "Kappa"),    
            new EntityDef(294, 920, "Theta"),    
            new EntityDef(304, 163, "pound"),    
            new EntityDef(307, 8594, "rarr"),    
            new EntityDef(307, 937, "Omega"),    
            new EntityDef(312, 339, "oelig"),    
            new EntityDef(313, 8835, "sup"),    
            new EntityDef(314, 236, "igrave"),    
            new EntityDef(316, 162, "cent"),    
            new EntityDef(319, 224, "agrave"),    
            new EntityDef(321, 8224, "dagger"),    
            new EntityDef(328, 8226, "bull"),    
            new EntityDef(330, 214, "Ouml"),    
            new EntityDef(335, 197, "Aring"),    
            new EntityDef(338, 9674, "loz"),    
            new EntityDef(345, 8727, "lowast"),    
            new EntityDef(346, 245, "otilde"),    
            new EntityDef(351, 8364, "euro"),    
            new EntityDef(352, 168, "uml"),    
            new EntityDef(354, 963, "sigma"),    
            new EntityDef(373, 917, "Epsilon"),    
            new EntityDef(376, 8249, "lsaquo"),    
            new EntityDef(379, 8465, "image"),    
            new EntityDef(380, 8656, "lArr"),    
            new EntityDef(384, 207, "Iuml"),    
            new EntityDef(385, 935, "Chi"),    
            new EntityDef(390, 951, "eta"),    
            new EntityDef(394, 8596, "harr"),    
            new EntityDef(397, 225, "aacute"),    
            new EntityDef(399, 8302, "nads"),    
            new EntityDef(401, 240, "eth"),    
            new EntityDef(402, 62, "GT"),    
            new EntityDef(404, 931, "Sigma"),    
            new EntityDef(404, 222, "THORN"),    
            new EntityDef(408, 248, "oslash"),    
            new EntityDef(409, 230, "aelig"),    
            new EntityDef(409, 60, "LT"),    
            new EntityDef(411, 8713, "notin"),    
            new EntityDef(415, 8301, "aafs"),    
            new EntityDef(416, 253, "yacute"),    
            new EntityDef(427, 171, "laquo"),    
            new EntityDef(431, 8242, "prime"),    
            new EntityDef(431, 8298, "iss"),    
            new EntityDef(432, 192, "Agrave"),    
            new EntityDef(433, 955, "lambda"),    
            new EntityDef(436, 8853, "oplus"),    
            new EntityDef(442, 8476, "real"),    
            new EntityDef(443, 217, "Ugrave"),    
            new EntityDef(448, 8839, "supe"),    
            new EntityDef(450, 182, "para"),    
            new EntityDef(455, 8595, "darr"),    
            new EntityDef(466, 8838, "sube"),    
            new EntityDef(468, 8776, "asymp"),    
            new EntityDef(469, 203, "Euml"),    
            new EntityDef(470, 244, "ocirc"),    
            new EntityDef(471, 923, "Lambda"),    
            new EntityDef(476, 946, "beta"),    
            new EntityDef(477, 179, "sup3"),    
            new EntityDef(486, 8734, "infin"),    
            new EntityDef(487, 933, "Upsilon"),    
            new EntityDef(488, 251, "ucirc"),    
            new EntityDef(490, 916, "Delta"),    
            new EntityDef(490, 228, "auml"),    
            new EntityDef(506, 205, "Iacute"),    
            new EntityDef(506, 710, "circ"),    
            new EntityDef(513, 921, "Iota"),    
            new EntityDef(516, 732, "tilde"),    
            new EntityDef(517, 8222, "bdquo"),    
            new EntityDef(520, 353, "scaron"),    
            new EntityDef(529, 932, "Tau"),    
            new EntityDef(531, 950, "zeta"),    
            new EntityDef(533, 8236, "pdf"),    
            new EntityDef(537, 8869, "perp"),    
            new EntityDef(546, 173, "shy"),    
            new EntityDef(547, 238, "icirc"),    
            new EntityDef(561, 255, "yuml"),    
            new EntityDef(565, 947, "gamma"),    
            new EntityDef(567, 962, "sigmaf"),    
            new EntityDef(569, 9002, "rang"),    
            new EntityDef(572, 8629, "crarr"),    
            new EntityDef(575, 187, "raquo"),    
            new EntityDef(577, 8722, "minus"),    
            new EntityDef(578, 242, "ograve"),    
            new EntityDef(582, 252, "uuml"),    
            new EntityDef(583, 212, "Ocirc"),    
            new EntityDef(585, 8303, "nods"),    
            new EntityDef(586, 8220, "ldquo"),    
            new EntityDef(587, 961, "rho"),    
            new EntityDef(588, 223, "szlig"),    
            new EntityDef(601, 219, "Ucirc"),    
            new EntityDef(603, 945, "alpha"),    
            new EntityDef(606, 34, "quot"),    
            new EntityDef(615, 8225, "Dagger"),    
            new EntityDef(616, 218, "Uacute"),    
            new EntityDef(620, 204, "Igrave"),    
            new EntityDef(622, 936, "Psi"),    
            new EntityDef(627, 964, "tau"),    
            new EntityDef(628, 8216, "lsquo"),    
            new EntityDef(629, 8805, "ge"),    
            new EntityDef(631, 227, "atilde"),    
            new EntityDef(632, 8711, "nabla"),    
            new EntityDef(633, 352, "Scaron"),    
            new EntityDef(634, 8773, "cong"),    
            new EntityDef(635, 8260, "frasl"),    
            new EntityDef(638, 8800, "ne"),    
            new EntityDef(639, 164, "curren"),    
            new EntityDef(640, 8804, "le"),    
            new EntityDef(643, 8657, "uArr"),    
            new EntityDef(648, 949, "epsilon"),    
            new EntityDef(649, 237, "iacute"),    
            new EntityDef(651, 8207, "rlm"),    
            new EntityDef(652, 213, "Otilde"),    
            new EntityDef(653, 8901, "sdot"),    
            new EntityDef(653, 8238, "rlo"),    
            new EntityDef(654, 8211, "ndash"),    
            new EntityDef(657, 232, "egrave"),    
            new EntityDef(660, 206, "Icirc"),    
            new EntityDef(660, 243, "oacute"),    
            new EntityDef(662, 8706, "part"),    
            new EntityDef(663, 9830, "diams"),    
            new EntityDef(664, 169, "copy"),    
            new EntityDef(667, 241, "ntilde"),    
            new EntityDef(670, 8221, "rdquo"),    
            new EntityDef(671, 191, "iquest"),    
            new EntityDef(672, 8218, "sbquo"),    
            new EntityDef(678, 172, "not"),    
            new EntityDef(679, 8300, "iafs"),    
            new EntityDef(684, 246, "ouml"),    
            new EntityDef(689, 234, "ecirc"),    
            new EntityDef(691, 954, "kappa"),    
            new EntityDef(696, 8194, "ensp"),    
            new EntityDef(699, 8733, "prop"),    
            new EntityDef(702, 959, "omicron"),    
            new EntityDef(703, 8230, "hellip"),    
            new EntityDef(704, 0, null),    
        };

    }

}
